changeset 384:d9c49b24bf46

Made to build script more flexible for other systems than win32. git-svn-id: svn://svn.code.sf.net/p/universalindent/code/trunk@613 59b1889a-e5ac-428c-b0c7-476e01d41282
author thomas_-_s <thomas_-_s@59b1889a-e5ac-428c-b0c7-476e01d41282>
date Fri, 25 Jan 2008 10:11:36 +0000
parents a2b635e3701d
children 743af33d0807
files buildWin32Release.sh
diffstat 1 files changed, 30 insertions(+), 20 deletions(-) [+]
line wrap: on
line diff
--- a/buildWin32Release.sh	Thu Jan 24 11:36:35 2008 +0000
+++ b/buildWin32Release.sh	Fri Jan 25 10:11:36 2008 +0000
@@ -1,5 +1,4 @@
 #!/bin/sh
-#!/bin/bash
 # 1. param is target system
 if [ -n "$1" ]; then
     targetSystem=$1
@@ -11,9 +10,9 @@
 # Configuration
 # -------------
 ext=.exe
-targetName=UniversalIndentGUI
+targetName=UniversalIndentGUI # The targetname must be identical with the targetname set in the qmake project file.
 targetDir=${targetName}_$targetSystem
-version=0.6.1_Beta
+version=0.8.0_Beta
 doSVNUpdate=false
 languages="de zh_TW ja_JP"
 
@@ -83,6 +82,7 @@
 echo ""
 
 
+# Maybe do a SubVersion update.
 if [ "$doSVNUpdate" = "true" ]; then
     echo "Calling svn update"
     echo "------------------"
@@ -196,7 +196,7 @@
 echo ""
 
 
-echo "Copying UniversalIndentGUI$ext to target dir"
+echo "Copying ${targetName}$ext to target dir"
 echo "--------------------------------------------"
 cp ./release/$targetName$ext ./$targetDir/ &> /dev/null
 if [ $? -gt 0 ]; then
@@ -257,6 +257,8 @@
 fi
 ###################### binary release end ########################
 
+###################### Steps to be done for all ########################
+
 echo "Copying the script based indenters to the target indenters dir"
 echo "--------------------------------------------------------------"
 indenters="JsDecoder.js perltidy PerlTidyLib.pm shellindent.awk"
@@ -275,7 +277,7 @@
 echo "--------------------------------------------------------------"
 cp ./indenters/example.* ./$targetDir/indenters/ &> /dev/null
 if [ $? -gt 0 ]; then
-    echo "ERROR: Could not copy example files!"
+    echo "ERROR: Could not copy the example.* files!"
     exit 1
 fi
 echo "Done"
@@ -321,27 +323,35 @@
 
 echo "Copying doc to target dir"
 echo "-------------------------"
-cp ./doc/iniFileFormat.html ./$targetDir/doc/ &> /dev/null
+docfiles="iniFileFormat.html"
+if [ "$ext" -ne ".exe" ]; then
+    indenters="$docfiles universalindentgui.man"
+fi
+for i in $docfiles
+do
+    cp ./doc/$i ./$targetDir/doc/ &> /dev/null
+    if [ $? -gt 0 ]; then
+        echo "ERROR: Could not copy file \"$i\"!"
+        exit 1
+    fi
+done
+echo "Done"
+echo ""
+
+
+echo "Packing the whole target dir"
+echo "----------------------------"
+if [ "$ext" = ".exe" ]; then
+else
+    tar czf ${targetName}_${version}_$targetSystem.tgz $targetDir
+fi
 if [ $? -gt 0 ]; then
-    echo "ERROR: Could not copy file \"iniFileFormat.html\"!"
+    echo "ERROR: Could not create the archive \"${targetName}_${version}_$targetSystem.tgz\"!"
     exit 1
 fi
 echo "Done"
 echo ""
 
 
-echo "Packing the whole target dir content"
-echo "------------------------------------"
-cd $targetDir
-tar czf UniversalIndentGUI_$version_$targetSystem.tgz *
-if [ $? -gt 0 ]; then
-    echo "ERROR: Could not create the archive \"UniversalIndentGUI_$version_$targetSystem.tgz\"!"
-    exit 1
-fi
-cd ..
-echo "Done"
-echo ""
-
-
 echo "Everything completed successfull!"
 #read -p "press any key to continue"